- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/setSla#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/setSla#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/setSla#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/setSla#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/setSla#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/setSla#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/setSla#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseAlerts.setSla

Sets the Service Level Agreement (SLA) for a specific CaseAlert. Use this method to define or update the total and critical time limits for handling the alert. The alert must be open to update its SLA.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}:setSla`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The CaseAlert to set SLA for. The CaseAlert's `name` field is used to identify the CaseAlert. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{caseAlert}:setSla |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "totalTimeMs": string, "criticalTimeMs": string } ``` |

| Fields ||
|---|---|
| `totalTimeMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The total SLA for handling the alert. |
| `criticalTimeMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The critical time for the SLA to handle the alert. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.caseAlerts.updateSla`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).